org.eclipse.viatra.query.patternlanguage.emf.scoping

## Class MetamodelProviderService

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.scoping.BaseMetamodelProviderService
  - - org.eclipse.viatra.query.patternlanguage.emf.scoping.MetamodelProviderService

- All Implemented Interfaces:
    IMetamodelProvider, IMetamodelProviderInstance

      public class MetamodelProviderService
      extends BaseMetamodelProviderService
      implements IMetamodelProviderInstance

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.patternlanguage.emf.scoping.BaseMetamodelProviderService

      `logger, qualifiedNameConverter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetamodelProviderService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `doGetQualifiedClassName(org.eclipse.emf.ecore.EClassifier classifier, org.eclipse.emf.ecore.EObject context)`
    `java.lang.String` | `getIdentifier()` Get a textual identifier for the metamodel provider instance
    `int` | `getPriority()` A default priority for the provider instance; a lower number means a higher priority.
    `protected java.util.Collection<java.lang.String>` | `getProvidedMetamodels()`
    `org.eclipse.emf.ecore.EPackage` | `loadEPackage(java.lang.String packageUri, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)` Loads an EMF package from the nsURI or resource URI of the model, and uses the resource set given as the second parameter.

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.scoping.BaseMetamodelProviderService

      `getAllMetamodelObjects, getGenmodelRegistry, getModelPluginId, getModelPluginId, getQualifiedClassName, isGeneratedCodeAvailable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.patternlanguage.emf.scoping.IMetamodelProvider

      `getAllMetamodelObjects, getModelPluginId, getQualifiedClassName, isGeneratedCodeAvailable`

- - ### Constructor Detail

    - #### MetamodelProviderService

          public MetamodelProviderService()

  - ### Method Detail

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Description copied from interface: `IMetamodelProviderInstance`
      Get a textual identifier for the metamodel provider instance
      Specified by:
        `getIdentifier` in interface `IMetamodelProviderInstance`
      Returns:
        a non-null textual identifier; should be unique over all possible implementations

    - #### getPriority

          public int getPriority()

      Description copied from interface: `IMetamodelProviderInstance`
      A default priority for the provider instance; a lower number means a higher priority. The priority may be overriden through `CompoundMetamodelProviderService`.
      Specified by:
        `getPriority` in interface `IMetamodelProviderInstance`
      Returns:
        a non-negative priority number

    - #### loadEPackage

          public org.eclipse.emf.ecore.EPackage loadEPackage(java.lang.String packageUri,
                                                             org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

      Description copied from interface: `IMetamodelProvider`
      Loads an EMF package from the nsURI or resource URI of the model, and uses the resource set given as the second parameter.
      Specified by:
        `loadEPackage` in interface `IMetamodelProvider`
      Returns:
        the loaded EMF EPackage

    - #### getProvidedMetamodels

          protected java.util.Collection<java.lang.String> getProvidedMetamodels()

      Specified by:
        `getProvidedMetamodels` in class `BaseMetamodelProviderService`

    - #### doGetQualifiedClassName

          protected java.lang.String doGetQualifiedClassName(org.eclipse.emf.ecore.EClassifier classifier,
                                                             org.eclipse.emf.ecore.EObject context)

      Specified by:
        `doGetQualifiedClassName` in class `BaseMetamodelProviderService`